#ifndef clserMVH
#define clserMVH clserMVH

#ifndef __linux__
#ifndef CLSER__EXPORT
	#define CLSER__EXPORT __declspec( dllexport )
#endif

#ifndef CLSER_CC
	#define CLSER__CC __cdecl
#endif
#else

#define CLSER__EXPORT
#define CLSER__CC

#endif

#ifdef __cplusplus
extern "C" {
#endif
/* !
*/

CLSER__EXPORT INT32 CLSER__CC clFlushPort (hSerRef serialRef);
CLSER__EXPORT INT32 CLSER__CC clGetErrorText (INT32 errorCode, INT8* errorText, UINT32* errorTextSize);
CLSER__EXPORT INT32 CLSER__CC clGetManufacturerInfo(INT8* ManufacturerName, UINT32*bufferSize, UINT32* version);
CLSER__EXPORT INT32 CLSER__CC clGetNumBytesAvail (hSerRef serialRef, UINT32* numBytes);
CLSER__EXPORT INT32 CLSER__CC clGetNumSerialPorts (UINT32* numSerialPorts);
CLSER__EXPORT INT32 CLSER__CC clGetSerialPortIdentifier (UINT32 serialIndex, INT8* portID, UINT32* bufferSize);
CLSER__EXPORT INT32 CLSER__CC clGetSupportedBaudRates (hSerRef serialRef, UINT32* baudRates);

CLSER__EXPORT void CLSER__CC clSerialClose(hSerRef serialRef);
CLSER__EXPORT INT32 CLSER__CC clSerialInit(UINT32 serialIndex, hSerRef* serialRefPtr);
CLSER__EXPORT INT32 CLSER__CC clSerialRead(hSerRef serialRef, INT8* buffer, UINT32* bufferSize, UINT32 serialTimeout);
CLSER__EXPORT INT32 CLSER__CC clSerialWrite(hSerRef serialRef, INT8* buffer, UINT32* bufferSize, UINT32 serialTimeout);
CLSER__EXPORT INT32 CLSER__CC clSetBaudRate (hSerRef serialRef, UINT32 baudRate);

#ifdef __cplusplus
}
#endif
#endif //clserMVH
